<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for objectList StructType
 * @subpackage Structs
 */
class ObjectList extends AbstractStructBase
{
    /**
     * The object
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var string[]
     */
    public $object;
    /**
     * Constructor method for objectList
     * @uses ObjectList::setObject()
     * @param string[] $object
     */
    public function __construct(array $object = array())
    {
        $this
            ->setObject($object);
    }
    /**
     * Get object value
     * @return string[]|null
     */
    public function getObject()
    {
        return $this->object;
    }
    /**
     * Set object value
     * @param string[] $object
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ObjectList
     */
    public function setObject(array $object = array())
    {
        $this->object = $object;
        return $this;
    }
    /**
     * Add item to object value
     * @uses \\Losc\CucmBundle\Model\Webservice\EnumType\XChangeType::valueIsValid()
     * @uses \\Losc\CucmBundle\Model\Webservice\EnumType\XChangeType::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $item
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ObjectList
     */
    public function addToObject($item)
    {
        $this->object[] = $item;
        return $this;
    }
}
